aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorChris Larson <chris_larson@mentor.com>2010-10-27 17:32:26 -0700
committerChris Larson <chris_larson@mentor.com>2011-01-26 14:28:53 -0700
commitaf5f4debf19be227c63d5cc89e4acd2961469724 (patch)
treef06deae8d0a72952d78fa3605e412f354a36446c /bin
parent0bf1d00fb4e2b36dc3c25194bdddc6d95300caf4 (diff)
downloadopenembedded-af5f4debf19be227c63d5cc89e4acd2961469724.tar.gz
Add install wrapper rather than coreutils-native
Signed-off-by: Chris Larson <chris_larson@mentor.com> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Eric BĂ©nard <eric@eukrea.com> Acked-by: Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/darwin/cp2
-rwxr-xr-xbin/darwin/sed2
-rwxr-xr-xbin/install35
3 files changed, 37 insertions, 2 deletions
diff --git a/bin/darwin/cp b/bin/darwin/cp
index 0a523b7987..a753557cea 100755
--- a/bin/darwin/cp
+++ b/bin/darwin/cp
@@ -7,7 +7,7 @@
# - Otherwise, we stick to what SuSv3 defines
-source $(dirname $0)/wrapper.sh
+source $(dirname $0)/../wrapper.sh
saved=""
while getopts fpaRHLP opt; do
diff --git a/bin/darwin/sed b/bin/darwin/sed
index 352a3ca6e8..f52d09f075 100755
--- a/bin/darwin/sed
+++ b/bin/darwin/sed
@@ -21,7 +21,7 @@
# to reimplement -i internally in this script on some platforms.
-source $(dirname $0)/wrapper.sh
+source $(dirname $0)/../wrapper.sh
case `uname -s` in
Darwin)
diff --git a/bin/install b/bin/install
new file mode 100755
index 0000000000..a587fa0096
--- /dev/null
+++ b/bin/install
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+source $(dirname $0)/wrapper.sh
+
+saved=""
+while getopts dbCcMpSsvB:f:g:m:o:D opt; do
+ case "$opt" in
+ s)
+ # Ignore strip argument
+ ;;
+ B|f|g|m|o)
+ save "-$opt"
+ save "$OPTARG"
+ ;;
+ D)
+ createleading="1"
+ ;;
+ \?)
+ exit 1
+ ;;
+ *)
+ save "-$opt"
+ ;;
+ esac
+done
+shift $(($OPTIND - 1))
+for arg; do
+ save "$arg"
+done
+
+if [ $# == 2 -a -n "$createleading" ]; then
+ install -d $(dirname $2)
+fi
+
+exec_real